release check list

(0. test compile and test run a clean checkout on a clean system
   configure with --debug --all=buildin, then without
   not required anymore: autotest does it now)
1. check next version number and previous revision in tags/
2. update the changelog
3. rewrite the release notes
4. modify version number in scconfig
5. commit trunk
6. svn tag using URLs (use svn copy --pin-externals)
7. update the timeline, events and doc/news.html
8. update locally built binaries: windows

